summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAkinori Hattori <hattya@gentoo.org>2017-06-18 22:06:13 +0900
committerAkinori Hattori <hattya@gentoo.org>2017-06-18 22:06:13 +0900
commitdeddb81bac426fdcb2fd2d98c5a99b41c53c28c8 (patch)
tree280098df71465c4b9e288fc48b84f13147897b68 /x11-terms/mlterm
parentx11-terms/mlterm: drop old (diff)
downloadgentoo-deddb81bac426fdcb2fd2d98c5a99b41c53c28c8.tar.gz
gentoo-deddb81bac426fdcb2fd2d98c5a99b41c53c28c8.tar.bz2
gentoo-deddb81bac426fdcb2fd2d98c5a99b41c53c28c8.zip
x11-terms/mlterm: new upstream release
Package-Manager: Portage-2.3.5, Repoman-2.3.1
Diffstat (limited to 'x11-terms/mlterm')
-rw-r--r--x11-terms/mlterm/Manifest1
-rw-r--r--x11-terms/mlterm/files/mlterm-font.patch17
-rw-r--r--x11-terms/mlterm/mlterm-3.8.1.ebuild121
3 files changed, 139 insertions, 0 deletions
diff --git a/x11-terms/mlterm/Manifest b/x11-terms/mlterm/Manifest
index bd66c64e914..dd4f78ed478 100644
--- a/x11-terms/mlterm/Manifest
+++ b/x11-terms/mlterm/Manifest
@@ -1 +1,2 @@
DIST mlterm-3.8.0.tar.gz 3756779 SHA256 6be0165fe43dc45099c4b37303fcca918e5dd07c5b0abb1fd4e35c8d73e9bf01 SHA512 86d163aaf24668dea77e54ff775cb448c6c699bcc82e1d84fe9a9fbed90d9c834ee3e61348de77713b2dbd229b37b76d2be817d788710f224cd5c53e7f93049f WHIRLPOOL b189d06d420a42ded64e84c17158c21d3968353ac69bc1027bc1895a2eccc21cafe402d6b4f9497ca652d436ecc51c99ce8287ec96790e75d526facd7a830558
+DIST mlterm-3.8.1.tar.gz 3789935 SHA256 464fa3a76ea562e38945067003c68e5ce320b60063f412bff01cb6a0f5c5d6d9 SHA512 fd57ffefb9f96a58bb63751cc06b3381e0b3d5b50c5023cbd95fa5dc0351f958a783f6eabbf71b6625774312d03c5284db957c47f83f5352ae594d0e4864c52e WHIRLPOOL 5db8da0598b0419bca47448eb6471aed7ba2d57511d31944c41a26333f697b758c0a002b12ee60f5e4bebd61dedfbeea12ce90122fd7d66293c2906e7153ea17
diff --git a/x11-terms/mlterm/files/mlterm-font.patch b/x11-terms/mlterm/files/mlterm-font.patch
new file mode 100644
index 00000000000..205a748a04a
--- /dev/null
+++ b/x11-terms/mlterm/files/mlterm-font.patch
@@ -0,0 +1,17 @@
+--- a/uitoolkit/fb/ui_font.c
++++ b/uitoolkit/fb/ui_font.c
+@@ -1625,11 +1625,11 @@
+ }
+ percent = 0;
+ #else /* __linux__ */
+- if (stat("/usr/share/fonts/X11/misc/unifont.pcf.gz", &st) == 0) {
+- font_file = "/usr/share/fonts/X11/misc/unifont.pcf.gz";
++ if (stat("/usr/share/fonts/unifont/unifont.pcf.gz", &st) == 0) {
++ font_file = "/usr/share/fonts/unifont/unifont.pcf.gz";
+ percent = 100;
+ } else {
+- font_file = "/usr/share/fonts/X11/misc/10x20.pcf.gz";
++ font_file = "/usr/share/fonts/misc/10x20.pcf.gz";
+ percent = 0;
+ }
+ #endif
diff --git a/x11-terms/mlterm/mlterm-3.8.1.ebuild b/x11-terms/mlterm/mlterm-3.8.1.ebuild
new file mode 100644
index 00000000000..a90ee67d69c
--- /dev/null
+++ b/x11-terms/mlterm/mlterm-3.8.1.ebuild
@@ -0,0 +1,121 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit eutils
+
+DESCRIPTION="A multi-lingual terminal emulator"
+HOMEPAGE="http://mlterm.sourceforge.net/"
+SRC_URI="mirror://sourceforge/mlterm/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="bidi cairo canna debug fbcon fcitx freewnn gtk ibus libssh2 m17n-lib nls regis scim skk static-libs uim utempter xft"
+
+RDEPEND="x11-libs/libICE
+ x11-libs/libSM
+ x11-libs/libX11
+ bidi? ( dev-libs/fribidi )
+ cairo? ( x11-libs/cairo[X] )
+ canna? ( app-i18n/canna )
+ fbcon? ( media-fonts/unifont )
+ fcitx? ( app-i18n/fcitx )
+ freewnn? ( app-i18n/freewnn )
+ gtk? ( >=x11-libs/gtk+-2:= )
+ ibus? ( app-i18n/ibus )
+ libssh2? ( net-libs/libssh2 )
+ m17n-lib? ( dev-libs/m17n-lib )
+ nls? ( virtual/libintl )
+ regis? (
+ || (
+ media-libs/sdl-ttf
+ media-libs/sdl2-ttf
+ )
+ )
+ scim? ( app-i18n/scim )
+ skk? (
+ || (
+ virtual/skkserv
+ app-i18n/skk-jisyo
+ )
+ )
+ uim? ( app-i18n/uim )
+ utempter? ( sys-libs/libutempter )
+ xft? ( x11-libs/libXft )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ nls? ( sys-devel/gettext )"
+
+PATCHES=( "${FILESDIR}"/${PN}-font.patch )
+DOCS=( doc/{en,ja} )
+
+src_prepare() {
+ # default config
+ sed -i \
+ -e "/ icon_path =/aicon_path = ${EPREFIX}/usr/share/pixmaps/mlterm-icon.svg" \
+ -e "/ scrollbar_view_name =/ascrollbar_view_name = sample" \
+ etc/main
+
+ default
+}
+
+src_configure() {
+ local myconf=(
+ $(use_enable bidi fribidi)
+ $(use_enable canna)
+ $(use_enable debug)
+ $(use_enable fcitx)
+ $(use_enable freewnn wnn)
+ $(use_enable ibus)
+ $(use_enable libssh2 ssh2)
+ $(use_enable m17n-lib m17nlib)
+ $(use_enable nls)
+ $(use_enable scim)
+ $(use_enable skk)
+ $(use_enable uim)
+ $(use_enable utempter utmp)
+ --with-gui=xlib$(usex fbcon ",fb" "")
+ --with-type-engines=xcore$(usex xft ",xft" "")$(usex cairo ",cairo" "")
+ --enable-optimize-redrawing
+ --enable-vt52
+ --disable-static
+ )
+
+ local scrollbars="sample,extra"
+ local tools="mlclient,mlcc,mlfc,mlmenu,mlterm-zoom"
+ if use gtk; then
+ myconf+=( --with-imagelib=gdk-pixbuf )
+ if has_version x11-libs/gtk+:3; then
+ myconf+=( --with-gtk=3.0 )
+ else
+ myconf+=( --with-gtk=2.0 )
+ fi
+ scrollbars+=",pixmap_engine"
+ tools+=",mlconfig,mlimgloader"
+ fi
+ if use regis; then
+ tools+=",registobmp"
+ fi
+ myconf+=( --with-scrollbars="${scrollbars}" )
+ myconf+=( --with-tools="${tools}" )
+
+ addpredict /dev/ptmx
+ econf "${myconf[@]}"
+}
+
+src_test() {
+ :
+}
+
+src_install () {
+ default
+ prune_libtool_files
+
+ docinto contrib/icon
+ dodoc contrib/icon/README
+
+ doicon contrib/icon/mlterm*
+ make_desktop_entry mlterm mlterm mlterm-icon "System;TerminalEmulator"
+}